Base URL: https://demo-api.incodesmile.com — Incode demo environment
Check for valid INE directly with an automated search in https://listanominal.ine.mx/scpln/ and return corresponding values of that ID.
Scraping service will start working asynchronously and this service will return a resultsId to fetch the results in /api/fetch/ine. The recommended wait time is 20 sec.
Possible parameters are ocr, cic, claveElector and numeroEmision but the parameters sent depend on the model of the INE/IFE to be consulted.
Model C: IFE with emission year from 2008 to 2013, should send claveElector, numeroEmision and ocr from the back of ID.
Model D: INE with emission year from 2013, should send cic from back of ID (9 characters) and OCR from the back of the ID (13 characters).
Model E,F,G,H: INE with emission year from 2014 onwards, should send CIC from the back of the ID (9 characters) and citizen id (ocr) from the back of the ID (9 characters).
Additional indications and information on the models of the credentials can be found in https://listanominal.ine.mx/scpln/
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
ocr |
string | yes | |
identificadorCiudadano |
string | ||
cic |
string | Mandatory for model D,E,F,G,H | |
claveElector |
string | Mandatory for model C | |
numeroEmision |
string | Mandatory for model C, should have a length of 2: ex 02 |
Responses
200
idResults: String
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |